package com.nisum.offertransactionservice.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;
import org.springframework.web.client.*;
import org.springframework.web.reactive.function.client.WebClient;

@Configuration
public class OfferTransactionConfig {

    @Bean
    public RestTemplate getRestTemplate() {
        return new RestTemplate();
    }


    @Bean
    public WebClient getWebClient() {
        WebClient.Builder webClientBuilder = null;
        WebClient webClient = webClientBuilder.baseUrl("http://localhost:8081").build();
        return webClient;
    }
}
